// Georgui Rekouts, Nov 1994
// app.cpp - Implementation of the test app class

#include "dlgtest.h"

//----------------------------------- Application constructor
TDlgTestApp::TDlgTestApp() :
  TApplication()
{
}

//----------------------------------- Application destructor
TDlgTestApp::~TDlgTestApp()
{
}

//----------------------------------- InitMainWindow
void TDlgTestApp::InitMainWindow()
{
  SetMainWindow(new TFrameWindow(NULL,
	 "DlgTest application", new TDlgTestWindow));
  GetMainWindow()->Attr.Style = WS_OVERLAPPEDWINDOW;
  GetMainWindow()->AssignMenu("MainMenu");
}

//----------------------------------- Owl Main
int OwlMain(int /*argc*/, char* /*argv*/ [])
{
  TDlgTestApp app;
  app.EnableCtl3d(TRUE);
  return app.Run();
}
